### Method

# Gdk Monitor get_connector

#### Declaration [src]

    const char*
    gdk_monitor_get_connector (
      GdkMonitor* monitor
    )

#### Description [src]

Gets the name of the monitor’s connector, if available.

These are strings such as “eDP-1”, or “HDMI-2”. They depend on software and hardware configuration, and should not be relied on as stable identifiers of a specific monitor.

Gets property | `Gdk.Monitor:connector`

#### Return value

Type: `const char*`

The name of the connector.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.